List of serial IDAS examples

  idasAkzoNob_ASAi_dns  : adjoint sensitivity for the chemical Akzo-Nobel problem
  idasAkzoNob_dns       : chemical Akzo-Nobel problem
  idasFoodWeb_bnd       : 2-D food web system, banded Jacobian
  idasHeat2D_bnd        : 2-D heat equation, banded Jacobian
  idasHeat2D_kry        : 2-D heat equation, diagonal preconditioner
  idasHessian_ASA_FSA   : computation of Hessian for Robertson kinetics system
  idasKrylovDemo_ls     : demonstration program with 3 Krylov solvers
  idasRoberts_dns       : 3-species Robertson kinetics system with user Jacobian
  idasRoberts_klu       : Robertson system with KLU sparse linear solver
  idasRoberts_sps       : Robertson system with SuperLUMT sparse linear solver
  idasRoberts_FSA_dns   : forward sensitivity for Robertson kinetics system
  idasRoberts_FSA_klu   : FSA for Robertson system with KLU sparse linear solver
  idasRoberts_FSA_sps   : FSA for Robertson system with SuperLUMT sparse solver
  idasRoberts_ASAi_dns  : adjoint sensitivity for Robertson kinetics system
  idasRoberts_ASAi_klu  : ASA for Robertson system with KLU sparse linear solver
  idasRoberts_ASAi_sps  : ASA for Robertson system with SuperLUMT sparse solver
  idasSlCrank_dns       : slider-crank simulation
  idasSlCrank_FSA_dns   : forward sensitivity for slider-crank



The following CMake command was used to configure SUNDIALS:

 cmake \
-DCMAKE_BUILD_TYPE=DEBUG \
-DBUILD_ARKODE=ON \
-DBUILD_CVODE=ON \
-DBUILD_CVODES=ON \
-DBUILD_IDA=ON \
-DBUILD_IDAS=ON \
-DBUILD_KINSOL=ON \
-DCMAKE_INSTALL_PREFIX=/home/user1/sundials/build/install \
-DEXAMPLES_INSTALL_PATH=/home/user1/sundials/build/install/examples \
-DBUILD_SHARED_LIBS=OFF \
-DBUILD_STATIC_LIBS=ON \
-DEXAMPLES_ENABLE_C=ON \
-DEXAMPLES_ENABLE_CXX=ON \
-DEXAMPLES_INSTALL=ON \
-DENABLE_MPI=ON \
-DENABLE_LAPACK=ON \
-DENABLE_KLU=ON \
-DKLU_INCLUDE_DIR=/usr/casc/sundials/apps/rh6/suitesparse/4.5.3/include \
-DKLU_LIBRARY_DIR=/usr/casc/sundials/apps/rh6/suitesparse/4.5.3/lib \
-DENABLE_HYPRE=ON \
-DHYPRE_INCLUDE_DIR=/usr/casc/sundials/apps/rh6/hypre/2.11.1/include \
-DHYPRE_LIBRARY=/usr/casc/sundials/apps/rh6/hypre/2.11.1/lib/libHYPRE.a \
-DENABLE_OPENMP=ON \
-DENABLE_PTHREAD=ON \
-DENABLE_SUPERLUMT=ON \
-DSUPERLUMT_INCLUDE_DIR=/usr/casc/sundials/apps/rh6/superlu_mt/SuperLU_MT_3.1/SRC \
-DSUPERLUMT_LIBRARY_DIR=/usr/casc/sundials/apps/rh6/superlu_mt/SuperLU_MT_3.1/lib \
-DSUPERLUMT_THREAD_TYPE=Pthread \
-DENABLE_PETSC=ON \
-DPETSC_INCLUDE_DIR=/usr/casc/sundials/apps/rh6/petsc/3.7.2/include \
-DPETSC_LIBRARY_DIR=/usr/casc/sundials/apps/rh6/petsc/3.7.2/lib \
../sundials

  System Architecture: x86_64
  Processor Type: Intel(R) Xeon(R) CPU E31230 @ 3.20GHz
  Operating System: Red Hat 6.8
  C/Fortran Compilers: gcc/gfortran v4.4.7
  MPI: Open MPI v1.8.8
